
Core - Feature # 47919

Status: Resolved Priority: Should have
Author: Philipp Gampe Category: Frontend
Created: 2013-05-04 Assigned To: Philipp Gampe
Updated: 2014-10-29 Due date:
PHP Version: 5.4
Complexity: easy
Sprint Focus:
Subject: Catch exceptions in USER TS objects
Description

Currently exceptions break the complete site. This is very bad, because it makes the debugging process much harder.

Catch exceptions (if possible) and convert them into nice error messages for the user.

Related issues:
related to Core - Bug # 61861: Frontend throws exception on missing image New 2014-09-24
precedes Core - Bug # 63811: Undefined $exception variable in ContentObjectRe... Resolved 2014-12-12

Associated revisions
Revision e1ef2c63 - 2014-10-29 19:35 - Helmut Hummel

[FEATURE] Add possibility to catch exception during rendering

Currently exceptions throw when rendering single
content objects bubble up to the default exception
handler and break the complete frontend.

This change adds the possibility to register an exception handler
for a content object which can render an appropriate
message instead if wanted (e.g. in production context).

Releases: master
Resolves: #47919
Change-Id: I9e3697401432b043e164fa84340739a525f80264
Reviewed-on: http://review.typo3.org/31123
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

History
#1 - 2013-05-04 16:15 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20494

2015-08-04 1/5

http://review.typo3.org/31123
mailto:klein.t3@reelworx.at
mailto:klein.t3@reelworx.at
mailto:typo3@wouterwolters.nl
mailto:typo3@wouterwolters.nl
https://review.typo3.org/20494


#2 - 2013-05-04 18:56 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20494

#3 - 2013-05-04 19:15 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20494

#4 - 2013-05-04 19:19 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20494

#5 - 2013-05-05 00:57 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20494

#6 - 2013-05-09 15:45 - Philipp Gampe
I use the following assumptions:
    -  If debug is enabled, show backtrace
    -  BE users should see an error message
    -  Error messages must not be cached (no_cache)
    -  Visitors should see nothing (empty string as return value)

#7 - 2013-05-09 17:37 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20494

#8 - 2013-05-17 08:15 - Ingo Renner

Philipp Gampe wrote:

I use the following assumptions:

[...]

sounds very good!

#9 - 2013-10-28 20:50 - Ernesto Baschny
- Target version deleted (6.2.0)
#10 - 2014-06-25 02:18 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31123

#11 - 2014-06-26 13:43 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31123

#12 - 2014-06-26 14:22 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31123

#13 - 2014-08-31 13:59 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31123

#14 - 2014-08-31 16:12 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31123

#15 - 2014-08-31 17:15 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31123

#16 - 2014-09-04 00:03 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31123

#17 - 2014-10-02 16:48 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31123

#18 - 2014-10-28 00:12 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31123
#19 - 2014-10-28 14:51 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31123

#20 - 2014-10-28 17:11 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31123

#21 - 2014-10-28 17:16 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31123

#22 - 2014-10-28 23:12 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31123

#23 - 2014-10-29 15:25 - Gerrit Code Review

Patch set 14 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31123

#24 - 2014-10-29 15:45 - Gerrit Code Review

Patch set 15 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31123

#25 - 2014-10-29 15:47 - Gerrit Code Review

Patch set 16 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31123

#26 - 2014-10-29 19:25 - Gerrit Code Review

Patch set 17 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31123

#27 - 2014-10-29 20:00 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:e1ef2c6355e113591039b2d0ccdeb4f46072f078.
